#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <map>

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

signals:
    void newWarning(QString);
    void startRun();

private slots:
    void startFileBrowse();
    //void finishFileBrowse();
    void run();

private:
    Ui::MainWindow *ui;
    QString m_Dir;
    void LoadStarts(QString& StartString);
    void LoadFinishes(QString& FinishedString);
    void EliminateMatches();
    bool MatchTime(QString start, QString finish);
    QString ExtractTime(QString a_Time);
    void FindEvents();
    int m_IgnoredStarts;
    int m_IgnoredFinishes;

    std::map<long,QString> m_Starts;
    std::map<long,QString> m_Finished;
    std::map<QString, QString> m_Events;
};

#endif // MAINWINDOW_H
